Location Configuration
Headers
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
Body
application/json
- Type: stringclient
OAuth client ID provided by the business
- Type: stringlocation
_key Location key
Responses
- application/json
- application/json
Request Example for get/api2/mobile/locations/configuration
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/locations/configuration \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--data '{
"client": "CLIENT_KEY_GOES_HERE",
"location_key": "LOCATION_KEY_GOES_HERE"
}'
{
"log_level": "4",
"print_barcodes": "0",
"short_key": "0",
"diagnostics": "1",
"header": "CAPAddicts Rewards ",
"trailer_1": "Bar code valid for 24 hours. ",
"trailer_2": "Visit URL_GOES_HERE ",
"trailer_3": "to download our mobile app! ",
"trailer_4": "",
"trailer_5": "",
"update_interval": "60"
}